@echo off
rem This batch is used to start/stop the local help doc server
rem It is started from studio when the doc url use 'localhost:<port>'
rem It can be started manually with parameters start|stop and the optional port

rem last version of ECLIPSE_HELP_BASE=org.eclipse.help.base_3.6.101.v201302041200.jar
rem Usually IBMIMSHARED=C:\Program Files\IBM\IBMIMShared
rem %DOCCMD% is start|shutdown in accordance with %1=start|stop
rem %PORT% is %2|8081 as default

rem set default values
set DOCCMD=start
set PORT=8081
set PATH=%TESTRTDIR%\jdk\jre\bin;%PATH%
set JAVA_HOME=%TESTRTDIR%\jdk\jre

if "x%1" == "x" goto startCmd
if NOT "%1" == "start" set DOCCMD=shutdown

if "x%2" == "x" goto startCmd
set PORT=%2

:startCmd
start "IBM Rational Test RealTime Documentation Server" /B java -classpath "IBMIMSHARED_TO_PATCH\plugins\*" org.eclipse.help.standalone.Infocenter -data %APPDATA%\TestRTdocWS\newIC -command %DOCCMD% -eclipsehome "%TESTRTDIR%" -port %PORT% -plugincustomization com.ibm.help.common.infocenter.testrt/plugin_customization.ini -product com.ibm.help.common.infocenter.testrt.help  >%APPDATA%\TestRTLocalDocServer_%DOCCMD%.log 2>&1

echo status %ERRORLEVEL%
