@rem = '--*-Perl-*--
@rem This file generate a shell script setting environment for specified target or $ATLTGT and execute it to be available from command line
@echo off
TestRTperl -x -S -I"%TESTRTDIR%\lib\perl" %0 %*
goto endofperl
@rem ';
#!perl
die "Environment variable TESTRTDIR not found. Exiting.\n\n" if(!defined($ENV{'TESTRTDIR'})); # NO TRANSLATION
$TESTRTDIR="$ENV{'TESTRTDIR'}";
$SCRIPTDIR="$TESTRTDIR/lib/scripts/";
require $SCRIPTDIR . "Fcts.pl";

if(($ARGV[0] eq 'studioTools') || (($ARGV[1] eq 'studioTools') && ($ARGV[0] eq ''))) {
print "### Select a node before executing this tools ###\n";
die "use of previous environment\n";
}
unless(-d $ENV{ATLTGT} && $ARGV[0] eq ''){
	my $n=$ARGV[0];
	if($n ne ''){
		if( $n =~ /[\\\/]/ ) {
			$ENV{ATLTGT}=$n;
		} else {
		$n=~s,\.xdp$,,;
		my $d=$ENV{APPDATA}.'/TestRealTime/'.$VERSION.'/targets/'.$n;
		if(-d $d){
			$ENV{ATLTGT}=$d;
		} else {
		   $d=$ENV{TESTRTDIR}.'/targets/'.$n;
		   $ENV{ATLTGT}=$d if(-d $d);
		}
			print "Setting ATLTGT to $d\n";
		}
	}
}
if(-d $ENV{ATLTGT}){
    
	my %machinenv=%ENV;
	$INIFILE='TP.ini';
	$INIFILE='ada95.ini' if(-e $ENV{ATLTGT}.'/ada95.ini');
	DecodeIniFile();
	my $batch="$ENV{ATLTGT}/tp.bat";
	$batch=~s,\/,\\,g;
	unless(-f $batch)
	{
		open(BAT,">$batch") || die "Unable to write $batch\n";
	
	foreach $k (keys %ENV){
		if($machinenv{$k} ne $ENV{$k}){
			$ENV{$k}=~s,\Q$machinenv{$k}\E,\%$k\%, if($machinenv{$k});
			print BAT "set $k=$ENV{$k}\n";
		}
	}
	print BAT "set ATLTGT=$ENV{ATLTGT}\n";
	print BAT "echo environment set for $ENV{ATLTGT}\n";
	close BAT;
     
		print "Next time you can execute \"$batch\"\n";
	}
	copy($batch,"$ENV{TEMP}/setenvTDP.bat");
} else { print "ATLTGT not set to TDP. ARGV is $ARGV[0]\n";}

__END__
:endofperl
if not EXIST "%TEMP%\setenvTDP.bat" goto FINI
%TEMP%\setenvTDP.bat
del %TEMP%\setenvTDP.bat
:FINI
